Name:                libmusicbrainz5
Version:             5.1.0
Release:             12
Summary:             Library for accessing MusicBrainz servers
License:             LGPLv2
URL:                 http://www.musicbrainz.org/
Source0:             https://github.com/metabrainz/libmusicbrainz/releases/download/release-5.1.0/libmusicbrainz-%{version}.tar.gz
BuildRequires:       gcc gcc-c++ cmake doxygen pkgconfig(neon) pkgconfig(libxml-2.0)
Obsoletes:           libmusicbrainz4 < 4.0.3-5
%description
MusicBrainz is an open music encyclopedia that collects music metadata and makes it available to public.

%package devel
Summary:             Headers for developing programs that will use libmusicbrainz5
Requires:            libmusicbrainz5 = %{version}-%{release}
Obsoletes:           libmusicbrainz4-devel < 4.0.3-5
%description devel
This package contains the headers that programmers will need to develop
applications which will use libmusicbrainz5.

%prep
%autosetup  -n libmusicbrainz-%{version} -p1
echo "HTML_TIMESTAMP      = NO" >> Doxyfile.cmake

%build
%{cmake} .
%make_build V=1 
%make_build docs

%install
%make_install

%post
/sbin/ldconfig

%postun 
/sbin/ldconfig

%files
%doc AUTHORS.txt COPYING.txt NEWS.txt README.md
%{_libdir}/libmusicbrainz5.so.1*

%files devel
%doc docs/*
%{_includedir}/musicbrainz5/
%{_libdir}/{libmusicbrainz5.so,pkgconfig/libmusicbrainz5.pc}
%exclude /docs/installdox

%changelog
* Fri Apr 24 2020 yanan li <liyanan032@huawei.com> - 5.1.0-12
- package init
